Skip to main content
`Ctrl`+`K`

# SlepcFinalize

Checks for options to be called at the conclusion of the SLEPc program and calls `PetscFinalize()`.

## Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcFinalize(void)

Collective on `PETSC_COMM_WORLD`

## See Also

Writing SLEPc Programs, `SlepcInitialize()`, `PetscFinalize()`

## Level

beginner

## Location

src/sys/slepcinit.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/mfn/tutorials/ex23.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages